import request from '@/config/axios'

// 招聘会企业分页查询
export const getJobFairEnterprisePage = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/job-fair/enterprise/page',
		params
	})
}

// 获得招聘会
export const getJobFair = async (id) => {
	return await request.get({
		url: '/app-api/menduner/system/job-fair/get',
		params: { id }
	})
}

// 招聘会列表
export const getJobFairList = async () => {
	return await request.get({
		url: '/app-api/menduner/system/job-fair/list'
	})
}

// 根据企业id查询招聘会职位列表
export const getJobFairEntJobPage = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/job-fair/detail/page',
		params
	})
}

// 效验招聘会职位是否投递
export const jobFairPositionDeliveryCheck = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/job-cv-rel/job-fair/send/check',
		params
	})
}

// 保存分享参数
export const saveShareQuery = async (data) => {
	return await request.post({
		url: '/app-api/menduner/system/share/share',
		data
	})
}